Bug 871403 - Password prompt invisible in gnome-screensaver
Password prompt invisible in gnome-screensaver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-30 07:46 EDT by Martin Wilck
Modified: 2013-08-01 06:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:31:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Wilck 2012-10-30 07:46:43 EDT
Description of problem:
I have a dual-head setup with a laptop monitor and an LCD screen :

Screen 0: minimum 320 x 200, current 2880 x 1200, maximum 8192 x 8192
LVDS1 connected 1280x800+1600+400 (normal left inverted right x axis y axis) 303mm x 190mm
   1280x800       60.0*+
...
VGA1 disconnected (normal left inverted right x axis y axis)
DVI1 connected 1600x1200+0+0 (normal left inverted right x axis y axis) 408mm x 306mm
   1600x1200      60.0*+
...
TV1 unknown connection (normal left inverted right x axis y axis)
...


I use the external screen as primary monitor (carrying the GNOME panel) when I'm connected to the docking station. This setup works fine normally.

After locking the screen and touching a key for unlocking the screensaver, the Laptop screen remains dark. The password prompt is invisible. Most probably the prompt is on the dark laptop monitor. It's impossible to change the laptop monitor brightness using the Fn key combinations (that works when logged in normally). 

It's possible (but rather inconvenient) to log back in by typing the password blindly. After that was done, the laptop monitor lights up.


Version-Release number of selected component (if applicable):
gnome-screensaver-3.4.1-1.fc17.x86_64

How reproducible:
Sometimes (~ 50%). In the other cases, the password prompt is visible on the external monitor.

Steps to Reproduce:
1. Click on "Lock Screen" in the GNOME panel
2. go away
3. come back
4. hit key
  
Actual results:
Laptop screen dark, no password prompt visible

Expected results:
Visible password prompt (either on illuminated laptop screen, or on the LCD monitor)

Additional info:
So far this has only happend with dual monitor configs. I never saw it while disconnected from the external monitor (docking station). The same problem occured on earlier versions of Fedora already (F16 tested).

smolt profile:
http://www.smolts.org/client/show/pub_12b8dc90-f59d-4731-aa6c-d243dd7a0a4c
Comment 1 Fedora End Of Life 2013-07-03 23:13:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 06:31:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.